FROM alpine
MAINTAINER Pierre-Olivier Mercier <nemunaire@nemunai.re>

RUN apk add --no-cache unbound
COPY docker-entrypoint.sh /

VOLUME /etc/unbound

EXPOSE 53
EXPOSE 53/udp

ENTRYPOINT ["/docker-entrypoint.sh"]
CMD ["/usr/sbin/unbound", "-d"]

LABEL org.mobyproject.config='{"binds": ["/etc/resolv.conf:/etc/resolv.conf"], "capabilities": ["CAP_NET_BIND_SERVICE"]}'
